#search-modal {
	display: none;
	position: fixed;
	top: 0;
	background: var(--clr4);
	width: 100%;
	z-index: 9999 ;
	overflow-y: scroll;
	height: calc(100vh - 8rem);
}
.search-options-products .woocommerce .products.swiper-wrapper{
	display: flex!important;
	flex-wrap: unset!important;
	justify-content: unset !important;
	gap: unset!important;
}

.search-options-products {
	width: 100%;
}

.search-results {
	overflow: hidden;
}

#search-modal .top-wrapper .top-right {
	justify-self: end;
	align-self: center;
	text-align: right;
}
#search-modal .progress-bar{
	background: #fff;
}
#search-modal .top-wrapper .top-middle {
	justify-self: center;
	align-self: center;
	text-align: center;
}
#search-modal .container.top {
	background: #ffffff;
	padding: 5.7rem 6rem;
}
.search-options-products .top {
	text-align: left;
}
.search-options-products .top p {
	margin-top: 0;
	margin-bottom: 4rem;
}
.search-results {
	margin-top: 8rem;
}
.search-results .item {
    opacity: 1;
}
.search-results .results-category h3 {
	margin-top: 0;
	margin-bottom: 2rem;
}
.results-wrapper .total-count.product {
	display: none !important;
}
.search-results h3.product.active {
	margin-top: 2rem;
}
.search-results .results-category .product-categories {
	list-style: none;
	margin: 0 3rem 0 0;
	padding: 0;
}

@media screen and (min-width:1001px) {
	.search-results .results-category .product-categories li a {
		display: flex;
		transition: var(--animtime1);
		padding: 1.1rem 2rem !important;
		border: var(--border2);
		border-radius: var(--radius2);
	}
	.search-results .results-category .product-categories li a span{
		display: none;
	}
	.search-results .results-category .product-categories li a:hover{
		text-decoration: none;
		background-color: var(--clr1);
		color: #fff;
		border: var(--border2);
	}
}

/*.search-results .results-category .product-categories li:hover {*/
/*	box-shadow: 0px 4px 12px rgba(0, 0, 0, .2);*/
/*	-webkit-box-shadow: 0px 4px 12px rgba(0, 0, 0, .2);*/
/*	-moz-box-shadow: 0px 4px 12px rgba(0, 0, 0, .2);*/
/*	-o-box-shadow: 0px 4px 12px rgba(0, 0, 0, .2);*/
/*}*/
/* .search-results .results-category .product-categories li a {
	text-decoration: none;
	color: var(--textclr1);
} */
.search-results .results-category .product-categories li span {
	color: var(--textclr2);
	font-size: var(--fontsize_p);
	line-height: var(--lineh_p);
	display: block;
	font-weight: 600;
}
.search-results .results-category {
	width: 100%;
	/* display: inline-block;
	max-width: 32rem; */
}
.search-results .highlighted {
	background-color: initial;
	color: initial;
}
.results-wrapper {
	vertical-align: top;
	width: 100%;
	display: inline-block;
	max-width: calc(100% - 32.5rem);
}
#search-modal input:focus {
	outline: none;
}
#search-modal input {
    width: 50rem;
    text-align: center;
    background: transparent;
    /* border: none; */
    /* border-bottom: var(--border2); */
	margin: 2rem 0 calc(2rem + 16px) 0;
}
#search-modal button.disabled {
	background-color: transparent!important;
	border: 1px solid var(--clr1);
	color: var(--clr1);
}
#search-modal .type-switch {
  justify-content: center;
    margin-top: 5rem;
    margin-bottom: 5rem;
    text-align: center;
}
#search-modal ul.products {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr 1fr;
	gap: 1.3rem;
	flex-wrap: wrap;
	justify-content: center;
	padding: 0;
	margin: 0;
}

#search-modal ul.products li{
	list-style: none;
}

.results-wrapper h3{
    margin-bottom: 0.8rem;
}
#search-modal .top-wrapper {
	grid-row: 1;
	grid-column: 1;
	display: grid;
	grid-template-rows: min-content;
	grid-template-columns: 1fr 1fr 1fr;
}
#search-modal .top-wrapper .top-left {
	justify-self: start;
	align-self: center;
	text-align: left;
}
.no-search-results {
	color: var(--textclr5);
  	display: none;
	margin: 2rem 0 0;
	text-align: center;
}
.results-wrapper > div {
  display: flex;
  flex-direction: column;
  padding-bottom: 4.5rem;
  margin-bottom: 3.5rem;
  margin-top: 1.5rem !important;
  align-items: unset !important;
  flex-wrap: unset !important;
}
.placeholders span {
	display: none;
}
.full + .placeholders.js-search-placeholders {
    opacity: 0;
}
.placeholders.js-search-placeholders {
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    opacity: 1;
    transition: opacity 150ms ease;
		text-align: center;
    width: 100%;
    padding: 1.4rem;
    line-height: 1.2;
}
.results-wrapper .load-more-container {
	margin-top: 8rem;
}
.results-wrapper .woocommerce .load-more-container {
	margin-top: 4rem;
}
.results-wrapper h3,
#search-modal .type-switch button {
	text-transform: capitalize;
	margin-top: 0;
}
.type-switch button {
	padding: 0.8rem 3rem!important;
}
.results-wrapper li.product {

  margin-right: 0!important;
}
.search-results .container {
	padding: 0 4rem;
}
.mobile-search-tab {
	display: none;
}
.results-wrapper.empty {
	max-width: 100%;
}
@media screen and (max-width: 1000px){
	#search-modal input {
		margin: 0;
	}
	.results-wrapper h3.product {
		display: none !important;
	}
	.mobile-search-tab {
		display:  flex;
		justify-content: space-around;
		font-weight: 400;
		font-size: calc(var(--fontsize_h4)* var(--text-scaler));
		padding: 15px;
	}
	.mobile-search-tab.active {
		font-weight: bold;
	}
	.results-wrapper.hide,
	.results-category.hide {
		display: none !important;
	}
	.search-close {
		position: relative;
	}
	#search-modal .site-branding {
		width: 12rem;
		margin: 0 auto;
	}
	#search-modal .top-wrapper .top-middle {
		flex: 100%;
	}
	#search-modal .top-wrapper .top-left {
		flex: 100%;
		margin-bottom: 1rem;
	}
	#search-modal .container.top {
		padding: 3rem 2rem;
	}
	#search-modal .top-wrapper {
		display: flex;
		flex-wrap: wrap;
		position: relative;
	}
	#search-modal .top-wrapper .top-right {
		display: flex;
	}
	.search-results {
		margin-top: 0;
	}
	.search-results .container {
		padding: 0 15px;
	}
	.results-category h3 {
		display:  none;
	}
	.search-results .results-category .product-categories {
		margin: 0;
		height: calc(100vh - 20rem);
		overflow-y: auto;
		padding-bottom: 2rem;
	}
	.search-results .results-category {
		max-width: 100%;
	}
	.results-wrapper {
		max-width: 100%;
	}
	#search-modal .top-wrapper .top-right {
		position: absolute;
		right: 0;
		top: 0;
	}
	.search-options-products .top p {
		margin-bottom: 2rem;
	}
	.search-results .results-category .product-categories li {
		margin-bottom: 10px;
		display: flex;
		justify-content: space-between;
		flex-direction: column;
		border: 1px solid var(--textclr3);
		cursor: pointer;
	}
	#search-modal .progress-bar {
		background: #f5f5f5;
	}

}
@media screen and (max-width: 768px){
	#search-modal ul.products li.product {
		width: auto!important;
		margin: 0 0 2.992em;
	}
}
@media screen and (max-width: 680px){
	#search-modal .top-wrapper {
		justify-content: space-between;
    flex-direction: column;
    align-items: center;


	}
	#search-modal .top-wrapper .top-middle {
		position: relative;
		transform: none;
		left: auto;

	}

	#search-modal .type-switch {
		margin-top: 3rem
	}
	#search-modal .type-switch button {
		margin-top: 1rem;
	}
	.results-wrapper .load-more-container {
		margin-top: 3rem;
		margin-bottom: 1rem;
	}
	.results-wrapper .woocommerce .load-more-container {
		margin-top: 4rem;
		margin-bottom: 2rem;
	}
	#search-modal ul.products li.product {
		width: auto!important;
		margin: 0 0 2.992em;
		/* margin-right: 0!important; */
	}
}
